Token payroll

Get Archived Payroll Items

Returns a paginated, searchable list of archived payroll reporting items.

GEThttps://api.toku.com/tga/get-archived-payroll-items

Required scope: payroll:read. It also needs compensation:read.

curl --request GET \
  --url 'https://api.toku.com/tga/get-archived-payroll-items?page=%3Cpage%3E&rowsPerPage=%3CrowsPerPage%3E' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "items": [
    {
      "id": "string",
      "itemType": "VESTING",
      "organizationName": "string",
      "archivedAt": "string",
      "reason": "string",
      "recipientName": "string",
      "recipientID": "string",
      "country": "string",
      "grantName": "string",
      "grantID": "string",
      "warrantID": "string",
      "sequenceNumber": 0,
      "eventDate": "string",
      "settledDate": "string",
      "vestingAmount": "string",
      "token": "string",
      "currency": "string",
      "fmv": "string",
      "grossGain": "string",
      "taxRate": "string",
      "totalTax": "string",
      "tokensWithheld": "string",
      "netTokens": "string",
      "netFiatAmount": "string"
    }
  ],
  "pagination": {
    "page": 0,
    "rowsPerPage": 0,
    "totalCount": 0
  }
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

pageintegerrequired

Allowed: at least 0

rowsPerPageintegerrequired

Allowed: 1 to 100

searchTermstring

Response

200Successful response
itemsobject[]required
Show child attributes
idstringrequired
itemTypestringrequired

Available options: VESTING, LOCKUP, WARRANT_LOCKUP

organizationNamestringrequired
archivedAtstringrequired
reasonstringrequired
recipientNamestring
recipientIDstring
countrystring | null
grantNamestring
grantIDstring
warrantIDstring
sequenceNumberinteger
eventDatestring
settledDatestring | null
vestingAmountstring
tokenstring | null
currencystring | null
fmvstring
grossGainstring
taxRatestring
totalTaxstring
tokensWithheldstring
netTokensstring
netFiatAmountstring
paginationobjectrequired
Show child attributes
pageintegerrequired
rowsPerPageintegerrequired
totalCountintegerrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits